API ReferenceapiclinicalPOST /v1/user-stacks/{id}/share

POST /v1/user-stacks/\{id\}/share

Service: clinical · operationId: (none)

Create a share token for a stack

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Share token created

{
  "type": "object",
  "properties": {
    "token": {
      "type": "string"
    }
  },
  "required": [
    "token"
  ]
}

403 Forbidden

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

404 Not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Internal server error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://clinical.platform.loop.health/v1/user-stacks/{id}/share \
  -H "Authorization: Bearer $ACCESS_TOKEN"